Package com.independentsoft.office.odf.styles

# Enum Class UnderlineStyle

java.lang.Object
java.lang.Enum<UnderlineStyle>
com.independentsoft.office.odf.styles.UnderlineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<UnderlineStyle>`, `Constable`

public enum UnderlineStyle extends Enum<UnderlineStyle>
Represents a style for underlining text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASH`
  Text has a dashed line underlining it.
  `DOT_DASH`
  Text has a line whose repeating pattern is a dot followed by a dash underlining it.
  `DOT_DOT_DASH`
  Text has a line whose repeating pattern is two dots followed by a dash underlining it.
  `DOTTED`
  Text has a dotted line underlining it.
  `LONG_DASH`
  Text has a dashed line whose dashes are longer than the ones from the dashed line for value dash underlining it.
  `NONE`
  Text has no underlining.
  `SOLID`
  Text has a solid line underlining it.
  `WAVE`
  Text has a wavy line underlining it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnderlineStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnderlineStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOLID

    public static final UnderlineStyle SOLID
    Text has a solid line underlining it.

  - ### DOTTED

    public static final UnderlineStyle DOTTED
    Text has a dotted line underlining it.

  - ### DASH

    public static final UnderlineStyle DASH
    Text has a dashed line underlining it.

  - ### LONG_DASH

    public static final UnderlineStyle LONG_DASH
    Text has a dashed line whose dashes are longer than the ones from the dashed line for value dash underlining it.

  - ### DOT_DASH

    public static final UnderlineStyle DOT_DASH
    Text has a line whose repeating pattern is a dot followed by a dash underlining it.

  - ### DOT_DOT_DASH

    public static final UnderlineStyle DOT_DOT_DASH
    Text has a line whose repeating pattern is two dots followed by a dash underlining it.

  - ### WAVE

    public static final UnderlineStyle WAVE
    Text has a wavy line underlining it.

  - ### NONE

    public static final UnderlineStyle NONE
    Text has no underlining.

- ## Method Details

  - ### values

    public static UnderlineStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnderlineStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null